Subject: Re: MUDs, etc.

From: Frank Hecker <[email-masked]>
Date: Fri, 11 Sep 1992 03:14:06 -0700

[email-masked] (the piano has been drinking) writes:
> [proposed design for MUD mail/news object]

Good example.  It is clear that the tools are there to implement a
wide variety of schemes; a lot of the work will be in deciding how
best to design the service to do what users actually want to do.

> Yep. One key aspect to the complete moldability of the medium is that it 
> tends to be, or act like, an object oriented system. For instance, every
> object has a parent, commands in the parent are inherited by the child,
> the child posesses local override of like named parent commands, etc etc.
> This is probably true of most of the different MUD strains out in the world,
> especially the more recent ones.

I would add that the object orientation is probably essential to any
hope of giving users non-trivial abilities to modify the system
themselves.  It also offers a path to designing a better frontend to
the system, as Morningstar and Farmer point out in their Habitat
paper.

> I am very excited about MUDs, especially the combo of MUDs and robots.
> It is also very interesting that MUDs have developed without any real
> corporate or university sponsorship. The fact that they were implemented
> by people with a root requirement that they be fun, interesting, and 
> basically designed for the purpose of human <-> human interaction indicates
> they should be a good tool for community  access systems.
> 
> It definitely feels like new territory, and it feels right.

I might add that MUDs have the supreme advantage for a community
system of being freely available code.  Given our relative lack of
resources, there is no way we are going to be able to develop software
for community access systems from scratch; we're going to have to
identify promising technologies that can be relatively easily adapted
to our needs, and I agree that MUDs can be an important component of a
total solution.

I'm off on vacation now for a week, and in any case I've probably made
all of my general comments worth making.  Thanks for sharing the
information on your work with MUDs in Santa Cruz; I look forward to
future reports.

Frank

-- 
Frank Hecker
[email-masked]